{
  description = "Windows XP Theme flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };


  outputs = { self, nixpkgs, ... }@inputs: 
    let
      system = "x86_64-linux";
      pkgs = import nixpkgs { inherit system; };
    in {
      packages.${system} = {
        windows-xp-icons = pkgs.callPackage ./windows-xp-icons.nix { };
        windows-xp-theme = pkgs.callPackage ./windows-xp-theme.nix { };
        windows-xp-cursor = pkgs.callPackage ./windows-xp-cursor.nix { };
        windows-xp-plymouth = pkgs.callPackage ./windows-xp-plymouth.nix { };
        windows-xp-grub = pkgs.callPackage ./windows-xp-grub.nix { };
        #windows-xp-login = pkgs.callPackage ./windows-xp-login.nix { };
        
        default = self.packages.${system}.windows-xp-theme;
      };

      nixosModules = {
        default = self.nixosModules.mate-xp-config;
        mate-xp-config = import ./mate-xp-config.nix;
      };

      homeModules = {
        default = self.homeModules.mate-xp-home;
        mate-xp-home = import ./mate-xp-home.nix;
      };
  };
}

